import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:tic_saas_sdk/tic_saas_sdk.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _sdkVersion = 'Unknown';

  @override
  void initState() {
    super.initState();
    initPlatformState();
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
    String sdkVersion;
    // Platform messages may fail, so we use a try/catch PlatformException.
    try {
      sdkVersion = await TicSaasSdk.getVersion;
    } on PlatformException {
      sdkVersion = 'Failed to get platform version.';
    }

    // If the widget was removed from the tree while the asynchronous platform
    // message was in flight, we want to discard the reply rather than calling
    // setState to update our non-existent appearance.
    if (!mounted) return;

    setState(() {
      _sdkVersion = sdkVersion;
    });
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Column(
          children: <Widget>[
            Text('Running on: $_sdkVersion\n'),
            FlatButton(
              onPressed: onJoinClassroom,
              child: Padding(
                padding: EdgeInsets.all(0),
                child: Text(
                  '加入课堂',
                  style: TextStyle(color: Colors.black, fontSize: 16),
                ),
              ))
          ],
        ),
      ),
    );
  }

// 加入课堂
    Future<Null> onJoinClassroom() async {
    try {
      TICClassroomConfig config = TICClassroomConfig('1000530626', 'james1', '12345', '100001');
      await TicSaasSdk.joinClassroom(config);
    } on PlatformException {
      print('Failed to joinClassroom.');
    }
  }
}
